unit imageviewer;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, OleCtrls, SCRIBBLELib_TLB;

type
  TForm1 = class(TForm)
    RadioHigh: TRadioGroup;
    BtnSelFile: TButton;
    OpenDialog1: TOpenDialog;
    txtWidth: TEdit;
    txtHeight: TEdit;
    BtnRotate: TButton;
    Btn25: TButton;
    Btn33: TButton;
    Btn50: TButton;
    Btn75: TButton;
    Btn100: TButton;
    Btn150: TButton;
    Btn200: TButton;
    BtnFit: TButton;
    BtnAspect: TButton;
    RadioBorder: TRadioGroup;
    txtUserDefine: TEdit;
    Btnuserdefine: TButton;
    Label1: TLabel;
    txtLeft: TEdit;
    Label2: TLabel;
    txtTop: TEdit;
    BtnLeftTop: TButton;
    Label3: TLabel;
    BtnSave: TButton;
    BtnRestore: TButton;
    BtnBmp: TButton;
    Btnjpg: TButton;
    Btngif: TButton;
    BtnPng: TButton;
    BtnTIFF: TButton;
    BtnBgColor: TButton;
    BtnPrint: TButton;
    ChkGrayScale: TCheckBox;
    BtnSaveBySize: TButton;
    Label4: TLabel;
    Label5: TLabel;
    ColorDialog1: TColorDialog;
    Label6: TLabel;
    BtnLoadMulti: TButton;
    Label7: TLabel;
    lblTotal: TLabel;
    Label8: TLabel;
    txtPage: TEdit;
    BtnGo: TButton;
    ImageViewer1: TImageViewer;
    procedure FormCreate(Sender: TObject);
    procedure RadioHighClick(Sender: TObject);
    procedure BtnSelFileClick(Sender: TObject);
    procedure BtnRotateClick(Sender: TObject);
    procedure Btn25Click(Sender: TObject);
    procedure Btn33Click(Sender: TObject);
    procedure Btn50Click(Sender: TObject);
    procedure Btn75Click(Sender: TObject);
    procedure Btn100Click(Sender: TObject);
    procedure Btn150Click(Sender: TObject);
    procedure Btn200Click(Sender: TObject);
    procedure BtnFitClick(Sender: TObject);
    procedure BtnAspectClick(Sender: TObject);
    procedure RadioBorderClick(Sender: TObject);
    procedure BtnuserdefineClick(Sender: TObject);
    procedure BtnLeftTopClick(Sender: TObject);
    procedure BtnSaveClick(Sender: TObject);
    procedure BtnRestoreClick(Sender: TObject);
    procedure BtnBmpClick(Sender: TObject);
    procedure BtnjpgClick(Sender: TObject);
    procedure BtngifClick(Sender: TObject);
    procedure BtnPngClick(Sender: TObject);
    procedure BtnTIFFClick(Sender: TObject);
    procedure BtnBgColorClick(Sender: TObject);
    procedure BtnPrintClick(Sender: TObject);
    procedure ChkGrayScaleClick(Sender: TObject);
    procedure BtnSaveBySizeClick(Sender: TObject);
    procedure BtnLoadMultiClick(Sender: TObject);
    procedure BtnGoClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  iX: Integer;
  iY: Integer;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  RadioHigh.Items.Add('Yes');
  RadioHigh.Items.Add('No');
  RadioHigh.Buttons[0].Checked :=True;

  RadioBorder.Items.Add('On');
  RadioBorder.Items.Add('Off');
  RadioBorder.Buttons[0].Checked :=True;

 
  end;

procedure TForm1.RadioHighClick(Sender: TObject);
begin
  if RadioHigh.ItemIndex = 0 then
     imageviewer1.HighQuality :=True
  else
     imageviewer1.HighQuality :=False;

end;

procedure TForm1.BtnSelFileClick(Sender: TObject);
begin
OpenDialog1.Filter :=
  'All Files (*.*)|*.*|JPEG (*.jpg)|*.jpg|Bitmap (*.bmp)|*.bmp|Gif (*.gif)|*.gif |TIF (*.tif)|*.tif|PNG (*.png)|*.png  Icon (*.ico)|*.ico';



   if opendialog1.Execute then begin
    imageviewer1.FileName :=opendialog1.FileName;
    txtHeight.Text := Format('%d', [imageviewer1.FileHeight]);
    txtWidth.Text := Format('%d', [imageviewer1.FileWidth]);
   end;

end;

procedure TForm1.BtnRotateClick(Sender: TObject);
begin
imageviewer1.Rotate90;
imageviewer1.SetFocus;
end;

procedure TForm1.Btn25Click(Sender: TObject);
begin
ImageViewer1.View := 1;
ImageViewer1.SetFocus;
end;

procedure TForm1.Btn33Click(Sender: TObject);
begin
ImageViewer1.View := 2;
ImageViewer1.SetFocus;
end;

procedure TForm1.Btn50Click(Sender: TObject);
begin
ImageViewer1.View := 3;
ImageViewer1.SetFocus;
end;

procedure TForm1.Btn75Click(Sender: TObject);
begin
ImageViewer1.View := 4;
ImageViewer1.SetFocus;
end;

procedure TForm1.Btn100Click(Sender: TObject);
begin
ImageViewer1.View := 5;
ImageViewer1.SetFocus;
end;

procedure TForm1.Btn150Click(Sender: TObject);
begin
ImageViewer1.View := 6;
ImageViewer1.SetFocus;
end;

procedure TForm1.Btn200Click(Sender: TObject);
begin
ImageViewer1.View := 7;
ImageViewer1.SetFocus;
end;

procedure TForm1.BtnFitClick(Sender: TObject);
begin
ImageViewer1.View := 9;
ImageViewer1.SetFocus;
end;

procedure TForm1.BtnAspectClick(Sender: TObject);
begin
ImageViewer1.View := 10;
ImageViewer1.SetFocus;
end;

procedure TForm1.RadioBorderClick(Sender: TObject);
begin
  if RadioBorder.ItemIndex = 0 then
      imageviewer1.Border := True
  else
      imageviewer1.Border := False;


end;

procedure TForm1.BtnuserdefineClick(Sender: TObject);
begin

  ImageViewer1.View := 8;
  ImageViewer1.ViewSize := StrToFloat(txtUserDefine.Text);

end;

procedure TForm1.BtnLeftTopClick(Sender: TObject);
begin
  ImageViewer1.FileLeft := strtoint(txtLeft.Text);
  ImageViewer1.FileTop := strtoint(txtTop.text);
   ImageViewer1.Redraw;

end;

procedure TForm1.BtnSaveClick(Sender: TObject);
begin

iX := ImageViewer1.GetHorzScrollBarPos;
iY := ImageViewer1.GetVertScrollBarPos;

ImageViewer1.SetFocus

end;

procedure TForm1.BtnRestoreClick(Sender: TObject);
begin
   ImageViewer1.SetScrollBarPos( iX, iY);
   ImageViewer1.SetFocus;
end;

procedure TForm1.BtnBmpClick(Sender: TObject);
var
  strFile: string; // format-string
  strType : string;
  result : integer;

begin
  strFile := 'c:\test';

  strType := 'bmp';

  result := ImageViewer1.Save(strFile, strType);

  If  result =1 then
    ShowMessage('Save ' + strFile + '.' + strType + ' Complete')
  else
    ShowMessage('Save fail');

  ImageViewer1.SetFocus;

end;

procedure TForm1.BtnjpgClick(Sender: TObject);
var
  strFile: string; // format-string
  strType : string;
  result : integer;

begin
strFile := 'c:\test';

strType := 'jpg';

result := ImageViewer1.Save(strFile, strType);

If  result =1 then
    ShowMessage('Save ' + strFile + '.' + strType + ' Complete')
else
    ShowMessage('Save fail');

ImageViewer1.SetFocus;

end;

procedure TForm1.BtngifClick(Sender: TObject);
var
  strFile: string; // format-string
  strType : string;
  result : integer;

begin

strFile := 'c:\test';
strType := 'gif';

result := ImageViewer1.Save(strFile, strType);

If  result =1 then
    ShowMessage('Save ' + strFile + '.' + strType + ' Complete')
else
    ShowMessage('Save fail');

ImageViewer1.SetFocus;

end;

procedure TForm1.BtnPngClick(Sender: TObject);
var
  strFile: string; // format-string
  strType : string;
  result : integer;

begin

strFile := 'c:\test';
strType := 'png';

result := ImageViewer1.Save(strFile, strType);

If  result =1 then
    ShowMessage('Save ' + strFile + '.' + strType + ' Complete')
else
    ShowMessage('Save fail');

ImageViewer1.SetFocus;

end;

procedure TForm1.BtnTIFFClick(Sender: TObject);
var
  strFile: string; // format-string
  strType : string;
  result : integer;

begin

strFile := 'c:\test';
strType := 'tiff';

result := ImageViewer1.Save(strFile, strType);

If  result =1 then
    ShowMessage('Save ' + strFile + '.' + strType + ' Complete')
else
    ShowMessage('Save fail');

ImageViewer1.SetFocus;

end;

procedure TForm1.BtnBgColorClick(Sender: TObject);
begin
   if colordialog1.Execute then
    imageviewer1.SetBackgroundColor(colordialog1.Color);

end;

procedure TForm1.BtnPrintClick(Sender: TObject);
begin
 imageviewer1.PrintImage(True);
end;

procedure TForm1.ChkGrayScaleClick(Sender: TObject);
begin
  if chkgrayscale.Checked then
    imageviewer1.OutputGrayScale :=True
  else
    imageviewer1.OutputGrayScale :=False;


end;

procedure TForm1.BtnSaveBySizeClick(Sender: TObject);
var
  strFile: string; // format-string
  strType : string;
  result : integer;

begin
strFile := 'c:\test';
strType := 'jpg';


result := ImageViewer1.SaveBySize(strFile, strType, strToint(txtWidth.text), strToint(txtHeight.text));

  If result = 1 then
     ShowMessage('Save ' + strFile + '.' + strType + ' Complete')
  else
    ShowMessage('Save fail');


end;

procedure TForm1.BtnLoadMultiClick(Sender: TObject);
begin

  ImageViewer1.LoadMultiPage (ExtractFilePath( Application.ExeName) + '\multpage.tif', 1);
  lbltotal.Caption := Format('%d', [imageviewer1.GetTotalPage]);


end;

procedure TForm1.BtnGoClick(Sender: TObject);
begin

  ImageViewer1.LoadMultiPage (ExtractFilePath( Application.ExeName) + '\multpage.tif', strToint(txtPage.text));

end;

end.
